package com.ygtx.framework.config;

import com.ygtx.common.utils.sql.SqlUtil;
import org.springframework.stereotype.Component;
import org.springframework.web.filter.OncePerRequestFilter;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Map;

@Component
public class SqlInjectionFilter extends OncePerRequestFilter {

    @Override
    protected void doFilterInternal(HttpServletRequest request,
                                    HttpServletResponse response,
                                    FilterChain filterChain)
            throws ServletException, IOException {

        // 检查请求参数
        Map<String, String[]> params = request.getParameterMap();
        for (String[] values : params.values()) {
            for (String value : values) {
                String lowerValue = value.toLowerCase();
                SqlUtil.filterKeyword(lowerValue);
            }
        }

        filterChain.doFilter(request, response);
    }
}
